Subject: Re: [PATCH 2/3] http: try standard proxy env vars when http.proxy config option is not set

From: Nelson Benitez Leon <[email-masked]>
Date: Wed, 14 Mar 2012 10:54:49 +0100

On 03/14/2012 05:36 AM, Junio C Hamano wrote:
> Nelson Benitez Leon <[email-masked]> writes:
> 
>> On 03/11/2012 08:12 PM, Junio C Hamano wrote:
>>> James Cloos <[email-masked]> writes:
>>>
>>>> Please include a way, eg via ~/.gitconfig, to ignore any http_proxy in
>>>> the environment and connect directly.
>>>
>>> Hrm.
>>>
>>> I think without this patch series, the "NO_PROXY" environment
>>> variable is honored by the curl library when it uses http_proxy
>>> to make the decision. If this patch (or a future reroll of it) fails
>>> to do the same, it would be a regression.
>>>
>>> Nelson, do you agree?
>>
>> I agree, so I would need to handle $no_proxy in the patch-set, will look
>> into that.
> 
> Are you sure $no_proxy is spelled in lowercase?  man curl(1) seems to
> indicate otherwise.

Instead here[1] in section "Environment Variables" it's spelled lowercase,
and given that cURL reads $http_proxy only in lowercase I think it does
the same for $no_proxy.

[1] http://curl.haxx.se/libcurl/c/libcurl-tutorial.html